Skip to navigation

Delete a bucket

Deletes a bucket from the specified storage unit

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

storageUnitIdstringRequired

Storage unit ID (UID)

bucketNamestringRequired
Bucket name

Query parameters

purgeObjectsbooleanOptional

Whether to purge objects in the bucket (default: true)

Response

Bucket deleted successfully
successboolean
Whether the operation succeeded.
messagestringOptional

Optional human-readable message about the result.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error